The Nudge Steps command keeps the original object?

I have collected the script below.

Function is to quickly enter Nudge Step values ​​in properties.
But I’m still not satisfied

I want the original object to choose nudge to remain the same, and generate a new object with the value gap entered.

Please guide me to add the nudge object copy command

import rhinoscriptsyntax as rs
import Rhino

#get current setting
nudge_step=Rhino.ApplicationSettings.ModelAidSettings.NudgeKeyStep
ctrl_nudge_step=Rhino.ApplicationSettings.ModelAidSettings.CtrlNudgeKeyStep
shift_nudge_step=Rhino.ApplicationSettings.ModelAidSettings.ShiftNudgeKeyStep

arr_value_text=[]
arr_value_text.append("Arrow Value")
arr_value_text.append("Ctrl+Arrow Value")
arr_value_text.append("Shift+Arrow Value")
arr_nudge_step=[]
arr_nudge_step.append(nudge_step)
arr_nudge_step.append(ctrl_nudge_step)
arr_nudge_step.append(shift_nudge_step)

arr_nudge_step = rs.PropertyListBox(arr_value_text,arr_nudge_step,"Nudge Key Values"," ")


nudge_step=float(arr_nudge_step [0])
ctrl_nudge_step=float(arr_nudge_step[1])
shift_nudge_step=float(arr_nudge_step[2])

#set new value
Rhino.ApplicationSettings.ModelAidSettings.NudgeKeyStep=nudge_step
Rhino.ApplicationSettings.ModelAidSettings.CtrlNudgeKeyStep=ctrl_nudge_step
Rhino.ApplicationSettings.ModelAidSettings.ShiftNudgeKeyStep=shift_nudge_step

print "Arrow Nudge: ",nudge_step,"  Ctrl+Arrow: ", ctrl_nudge_step,"  Shift+Arrow: ", shift_nudge_step

If I understand what you are saying…

The script you posted above simply changes the Nudge increments without having to go through the Options page - that’s all it does.

“Nudge” in Rhino is designed to move objects, not copy them. That’s what the word actually means, “to give something a small push”.

If you are wanting to copy objects at a specified distance along one of the principal axes, the easiest way (IMO) is to use the Gumball arrow key with Alt held down and type in a distance. In V6, the Gumball will remember the last distance used, so you can repeat the move/copy by just clicking the arrow again and Enter. If you are wanting to make many copies along an axis, use the Array command.

1 Like

Add Copy In Place and nudge the said copy in your script?

1 Like